summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/ostruct/Manifest1
-rw-r--r--dev-ruby/ostruct/ostruct-0.6.2.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/dev-ruby/ostruct/Manifest b/dev-ruby/ostruct/Manifest
index 347474fe3fb6..6407a8ba806c 100644
--- a/dev-ruby/ostruct/Manifest
+++ b/dev-ruby/ostruct/Manifest
@@ -1 +1,2 @@
DIST ostruct-0.6.1.tar.gz 12181 BLAKE2B df7864c739b4a8beb601e8a8232c07393eb29f519660261f9cccde9a3a0164c6a14eaf3f0c9c9a098cfbafc110ea2ab1ddd19c05de98f1f67c5866eaf3e61cf6 SHA512 34c141dde253bed7b0637b353bc55fd052c708e5e1558e1a348e43e1aa633f0a0c7806231e7e2931b400a43c3dfde533ae5ac3ed20291ff73d1296121e0517b3
+DIST ostruct-0.6.2.tar.gz 12345 BLAKE2B c85cf1da1e55fbf531700fc40a0c517bf4b4a8b21ebdd920140ac4acb14eee57208d0aaec78eeb9c1a5c3603c95003619a00a06ba39140c99d5f3350a612897a SHA512 e879233a73f304fb6e5c40d05eee556c46cc945d67ed8b4fc6e75cd60e4dcee26de4c7b92b174f8ba4b2887b657878dd51ec14445d94e9776d0ea5d877a3fde3
diff --git a/dev-ruby/ostruct/ostruct-0.6.2.ebuild b/dev-ruby/ostruct/ostruct-0.6.2.ebuild
new file mode 100644
index 000000000000..7b99ced8d50d
--- /dev/null
+++ b/dev-ruby/ostruct/ostruct-0.6.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="ostruct.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Class to build custom data structures, similar to a Hash"
+HOMEPAGE="https://github.com/ruby/ostruct"
+SRC_URI="https://github.com/ruby/ostruct/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_depend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e 's/__FILE__/"ostruct.gemspec"/' \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}